نحوه رفع خطای iLO 4 has detected a self-test error

سرورهای HPE ProLiant ممکن است در مرحله خودآزمایی حین راه‌اندازی (POST) پیام «iLO 4 یک خطای خودآزمایی تشخیص داده است (iLO 4 has detected a self-test error)» را نمایش دهند:

رفع خطای iLO 4 has detected a self-test error

اگر نسخه 1.30 سیستم عامل iLO 4 نصب شده باشد، این مشکل در حین راه‌اندازی Intelligent Provisioning یا سایر نرم افزارهای کاربردی HPE مشاهده می‌شود، زیرا این نرم افزارها به پارتیشنی که متغیرها، درایورها و سیستم عامل‌های مرتبط با نرم افزار HPE در آن موجود دارند، دسترسی ندارند.

اگر نسخه 2.50 سیستم عامل iLO 4 نصب شده باشد، خطای خودآزمایی زمانی مشاهده می‌شود که در سرور از کارت حافظه SD استفاده شده باشد، زیرا استفاده از کارت SD موجب می‌شود که کنترل‌گر مدیا دوباره راه اندازی شود.

هر مشکلی برای کد مدیای iLO 4 موجب می‌شود که کنترل‌گر مدیا در خلال نصب iLO 4 بازنشانی (ریسِت) شود. همین بازنشانی باعث ایجاد خطا در خواندن/نوشتن برای نصب نرم افزار شده و عاملی برای نمایش خطای خودآزمایی iLO 4 در حین راه اندازی است. هر اتفاقی که موجب خاموش شدن سرور در حین نصب iLO 4 شود هم عاملی برای ایجاد این مشکل است.

رفع خطای iLO 4 has detected a self-test error

جمع‌بندی

تمامی سرورهای HPE ProLiant با سیستم عامل Integrated Lights-Out 4 یا iLO 4 نسخه 1.30 (و قدیمی‌تر) یا نسخه 2.5 که در کنارش از کارت SD در کیت مدیای HPE استفاده شده باشد، این خطا را نمایش می‌دهند.

راهکار

این خطا را می‌توان با به‌روزرسانی سیستم عامل iLO 4 به نسخه 2.61 و بالاتر تصحیح کرد.

اگر نسخه 1.30 سیستم عامل iLO 4 نصب شده باشد، برای ارتقای آن به نسخه 1.32 (و بالاتر) بایستی مراحل زیر را دنبال کنید:

  1. روی لینک ز یر کلیک کنید:

http://h20566.www2.hpe.com/portal/site/hpsc

  1. نام محصول (مثلاً iLO 4) را در بخش جستجو وارد کرده و منتظر نمایش فهرست محصولات بمانید.
  2. پس از نمایش محصول، روی زبانه «درایورها و نرم افزار» (در وسط صفحه) کلیک کنید.
  3. نسخه مناسب سیستم عامل iLO 4 برای ارتقا را انتخاب کرده و روی آن کلیک کنید (کلیک روی نشان فلش کنار نام نسخه مورد نظر)
  4. برای بهینه شدن نتایج نمایش داده شده، در بخش نوع نرم افزار، «سیستم عامل» را انتخاب کنید.
  5. در صفحه پیشِ رو لینک سیستم عامل اتصال مجازی نسخه 4.5 (یا بالاتر) را پیدا کرده و انتخاب کنید. نکته: در زبانه «تاریخچه اصلاحات» آخرین نسخه‌ (یا نسخه‌ها) قابل شناسایی هستند.
  6. روی دکمه دانلود کلیک کنید.

در حین استفاده از نسخه 2.5 سیستم عامل iLO 4 می‌توانید برای حذف خطای خودآزمایی، iLO 4 را بازنشانی کنید، پس از این کار سیستم عامل بدون هیچ مشکلی قابل استفاده است.

اگر با وجود آپدیت کردن iLO 4 به نسخه 2.5 یا بالاتر، همچنان این خطا برقرار بود، باید مادربورد را عوض نمود.